[Samsung 700Z3A-S02DE] Laptop does not resume from suspend upon lid open

Bug #1293134 reported by Lars Schütze on 2014-03-16
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned

Bug Description

In 13.10-14.10, what is expected in to happen is when I close the lid, it puts the computer to sleep, and when I reopen the lid, it automatically resumes from sleep.

What happens instead, is that the computer goes to sleep, but opening the lid does not make it resume.

With acpi_listen I see that it fires and recognizes the events for lid close and open. /proc/acpi/button/lid/LID0/state shows the correct state for each lid position. With:
acpid -d -f -l

I see that those events trigger /etc/acpi/events/. I tried writing an event that matches lid close/open and calls pm-suspend, uncommenting lines in /etc/systemd/logind.conf regarding hibernate and suspend, echoing LID0 into /etc/acpi/wakeup, passing different acpi_osi strings with grub but the ACPI table does not change nor make it any difference for the suspend/resume problem.

WORKAROUND: To resume, open the lid and press the power button once.

WORKAROUND: cd /sys/kernel/debug/samsung-laptop/
echo 0x81 >d0
echo 0 >d1
echo 0 >d2
echo 0 >d3
echo 0x6e > command
cat call

---
ApportVersion: 2.12.5-0ubuntu2.2
Architecture: amd64
DistroRelease: Ubuntu 13.10
InstallationDate: Installed on 2013-12-02 (104 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
MarkForUpload: True
NonfreeKernelModules: wl
Package: pm-utils 1.4.1-12ubuntu1
PackageArchitecture: all
ProcVersionSignature: Ubuntu 3.11.0-18.32-generic 3.11.10.4
Tags: saucy
Uname: Linux 3.11.0-18-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
---
ApportVersion: 2.14.7-0ubuntu8
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: lars 4065 F.... pulseaudio
CurrentDesktop: Unity
DistroRelease: Ubuntu 14.10
HibernationDevice: RESUME=UUID=63d413ce-f76a-4aef-8728-6b94c8328c5a
InstallationDate: Installed on 2014-11-19 (16 days ago)
InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Release amd64 (20141022.1)
MachineType: SAMSUNG ELECTRONICS CO., LTD. 700Z3A/700Z4A/700Z5A/700Z5B
NonfreeKernelModules: wl
Package: linux (not installed)
ProcFB:
 0 inteldrmfb
 1 radeondrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.16.0-25-generic root=UUID=44843d26-d39a-43f4-bfd7-bb8b6bb69a91 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.16.0-25.33-generic 3.16.7
RelatedPackageVersions:
 linux-restricted-modules-3.16.0-25-generic N/A
 linux-backports-modules-3.16.0-25-generic N/A
 linux-firmware 1.138
Tags: utopic
Uname: Linux 3.16.0-25-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 11/06/2012
dmi.bios.vendor: Phoenix Technologies Ltd.
dmi.bios.version: 15FD
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 700Z3A/700Z4A/700Z5A/700Z5B
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.board.version: FAB1
dmi.chassis.asset.tag: Asset Tag
dmi.chassis.type: 9
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: 0.1
dmi.modalias: dmi:bvnPhoenixTechnologiesLtd.:bvr15FD:bd11/06/2012:svnSAMSUNGELECTRONICSCO.,LTD.:pn700Z3A/700Z4A/700Z5A/700Z5B:pvr0.1:rvnSAMSUNGELECTRONICSCO.,LTD.:rn700Z3A/700Z4A/700Z5A/700Z5B:rvrFAB1:cvnSAMSUNGELECTRONICSCO.,LTD.:ct9:cvr0.1:
dmi.product.name: 700Z3A/700Z4A/700Z5A/700Z5B
dmi.product.version: 0.1
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.

Lars Schütze (lschuetze) wrote :

Output of apt-cache policy pm-utils

pm-utils:
  Installed: 1.4.1-12ubuntu1
  Candidate: 1.4.1-12ubuntu1
  Version table:
 *** 1.4.1-12ubuntu1 0
        500 http://de.archive.ubuntu.com/ubuntu/ saucy/main amd64 Packages
        100 /var/lib/dpkg/status

tags: added: apport-collected saucy
description: updated

apport information

apport information

Added log for pm-suspend

Lars Schütze (lschuetze) wrote :

Added dmesg log output

Lars Schütze (lschuetze) wrote :

This is the output of /proc/acpi/wakeup

Device S-state Status Sysfs nodeP0P1 S4 *disabled
GLAN S4 *disabled
EHC1 S4 *enabled pci:0000:00:1d.0
EHC2 S4 *enabled pci:0000:00:1a.0
HDEF S4 *disabled pci:0000:00:1b.0
RP01 S4 *disabled pci:0000:00:1c.0
PXSX S4 *disabled pci:0000:02:00.0
RP02 S4 *disabled
PXSX S4 *disabled
RP03 S4 *disabled
PXSX S4 *disabled
RP04 S4 *disabled pci:0000:00:1c.3
PXSX S4 *enabled pci:0000:03:00.0
RP05 S4 *disabled pci:0000:00:1c.4
PXSX S4 *enabled pci:0000:04:00.0
RP06 S4 *disabled
PXSX S4 *disabled
RP07 S4 *disabled
PXSX S4 *disabled
RP08 S4 *disabled
PXSX S4 *disabled
PEG0 S4 *disabled pci:0000:00:01.0
PEGP S4 *disabled pci:0000:01:00.0
PEGA S4 *disabled
PEG1 S4 *disabled
PEG2 S4 *disabled
PEG3 S4 *disabled
PWRB S4 *disabled

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in pm-utils (Ubuntu):
status: New → Confirmed
Lars Schütze (lschuetze) wrote :

The problem is still persistent. I do now use Ubuntu 14.04.1. Already tried mainline kernel 3.16. No change.

~$ uname -a
Linux uhu 3.13.0-34-generic #60-Ubuntu SMP Wed Aug 13 15:45:27 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

~$ cat /proc/acpi/wakeup
Device S-state Status Sysfs node
P0P1 S4 *disabled
GLAN S4 *disabled
HDEF S4 *disabled pci:0000:00:1b.0
RP01 S4 *disabled pci:0000:00:1c.0
PXSX S4 *disabled pci:0000:02:00.0
RP02 S4 *disabled
PXSX S4 *disabled
RP03 S4 *disabled
PXSX S4 *disabled
RP04 S4 *disabled pci:0000:00:1c.3
PXSX S4 *disabled pci:0000:03:00.0
RP06 S4 *disabled
PXSX S4 *disabled
RP07 S4 *disabled
PXSX S4 *disabled
RP08 S4 *disabled
PXSX S4 *disabled
PEG0 S4 *disabled pci:0000:00:01.0
PEGP S4 *disabled pci:0000:01:00.0
PEGA S4 *disabled
PEG1 S4 *disabled
PEG2 S4 *disabled
PEG3 S4 *disabled
PWRB S4 *enabled

Lars Schütze, could you please execute the following via a terminal in order for the necessary debugging information to be attached:
apport-collect 1293134

affects: pm-utils (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete

apport information

tags: added: utopic
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

I am now using Ubuntu 14.10 and this bug is still present. Did apport collect for you. Just let me know if I can do anything more for you.

Lars Schütze (lschuetze) wrote :

Well, the computer model is Samsung Series 7 Chronos model NP700Z3A-S02DE.

Lars Schütze, could you please test the latest upstream kernel available from the very top line at the top of the page (the release names are irrelevant for testing, and please do not test the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue.

If the test did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested exactly shown as:
kernel-fixed-upstream-3.18-rc7

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description.

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
importance: Low → Medium
summary: - Laptop does not resume from suspend upon lid open
+ [Samsung 700Z3A-S02DE] Laptop does not resume from suspend upon lid open
Lars Schütze (lschuetze) wrote :

Tested on most recent mainline kernel version 3.18.0-rc7 and the bug is still present.

tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-3.18-rc7
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Lars Schütze, could you please provide the missing information following https://wiki.ubuntu.com/DebuggingKernelSuspend ?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: needs-bios-check
Lars Schütze (lschuetze) wrote :

Okay, I followed the procedure. I was closing the laptop lid to enter resume. Upon open it does not resume but when I press power button it resumed without a problem. I've installed the latest BIOS available for this laptop.

Wakeup file and dmesg.txt are attached to the bug. I've taken a look into the dmesg file and I dont see anything special.

There is a line
[ 368.486314] r8169 0000:03:00.0: System wakeup enabled by ACPI
which corresponds to

~$ lspci | grep 03:00.0
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 06)

Lars Schütze (lschuetze) wrote :
Lars Schütze (lschuetze) wrote :

Lars Schütze, for regression testing purposes, could you please test a live environment of 12.04.0 with kernel 3.2.x (not 12.04.3 or some other variant) via http://old-releases.ubuntu.com/releases/12.04.0/ and advise to the results?

description: updated
Changed in linux (Ubuntu):
importance: Medium → Low
Lars Schütze (lschuetze) wrote :

Downloaded and deployed the iso of 12.04 on an USB key. Did not work either. I remember that the resume did never work either with 12.10 or 13.04 and so on.

Lars Schütze, the issue you are reporting is an upstream one. Could you please report this problem to the appropriate mailing list (linux-acpi, not linux-acpi-devel) by following the instructions _verbatim_ at https://wiki.ubuntu.com/Bugs/Upstream/kernel ?

Please provide a direct URL to your e-mail to the mailing list once you have made it so that it may be tracked.

Thank you for your understanding.

tags: added: precise quantal raring
Changed in linux (Ubuntu):
status: Incomplete → Triaged
Lars Schütze (lschuetze) wrote :

I posted the bug upstream on the <email address hidden> mailing list. You can find the mail following http://marc.info/?l=linux-acpi&m=141801914306088&w=2. Thanks for your help.

Lars Schütze (lschuetze) wrote :

Is there anything I can do myself to investigate where the problem is? Upstream ignores the bug.
Even with the newer Fedora 21 kernel this does not work.

Lars Schütze, in order to keep your bug relevant to upstream, it is important to continue to test the latest mainline kernel as it comes out.

As well, testing Fedora is largely useless here in launchpad, as that's a distro (non-upstream and non-Ubuntu) kernel.

Lars Schütze (lschuetze) wrote :

I have seen that the behavior gets activated since 4.0-rc1 https://github.com/torvalds/linux/commit/b0dcaf4fbb36895175657be029ed64eda2a34707

I have downloaded Mainline 4.0-rc6 and testes but it did not work. Then I found out, that the author did not activated the behavior for all Samsung laptops. https://bugzilla.kernel.org/show_bug.cgi?id=75901 shows the commands to enable this behavior:
cd /sys/kernel/debug/samsung-laptop/
echo 0x81 >d0
echo 0 >d1
echo 0 >d2
echo 0 >d3
echo 0x6e > command
cat call

Then I can close the lid and it goes sleep instantly. After lid open it wakes up from sleep.
This has to be enabled by default for my laptop.

tags: added: kernel-bug-exists-upstream-4.0-rc6
removed: kernel-bug-exists-upstream-3.18-rc7
description: updated
Lars Schütze (lschuetze) wrote :

I have proposed a patch for the linux kernel to activate this for my laptop's product line. See http://www.spinics.net/lists/platform-driver-x86/msg06578.html

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.